GNU bug report logs - #53117
[PATCH 41/41] gnu: adding rust-rbw

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116; dated Fri, 7 Jan 2022 14:34:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:33:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:33:06 2022
Received: from localhost ([127.0.0.1]:43602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5qIj-0006qc-W3
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:33:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:38950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5qIh-0006qA-Gl
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:33:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34832)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qIh-0003mR-8D
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:33:03 -0500
Received: from 4.mo581.mail-out.ovh.net ([178.32.122.254]:46391)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qIf-0007Fx-0o
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:33:02 -0500
Received: from player796.ha.ovh.net (unknown [10.110.115.246])
 by mo581.mail-out.ovh.net (Postfix) with ESMTP id 4FCB924CFE
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:32:58 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player796.ha.ovh.net (Postfix) with ESMTPSA id 1E10126052850
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:32:58 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-99G00362fa83ce-7acc-44c9-ad31-f3f2acf1d659,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 41/41] gnu: adding rust-rbw
Date: Fri, 07 Jan 2022 15:32:30 +0100
Message-ID: <87tuefipk6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0042-adding-package-rust-rbw-1.patch
X-Ovh-Tracer-Id: 5699868281655190266
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddggeduucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepteevieejkeejledtkeduhfehheeiveevfeegjeevtddvfedtkeeuleelgfdvueffnecuffhomhgrihhnpehtohiithdrnhgvthenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeeliedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=178.32.122.254; envelope-from=ngraves@HIDDEN;
 helo=4.mo581.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From ac3677579d9b0b8485deda8f2a14507f070b4bdd Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 14:05:13 +0100
Subject: [PATCH 42/42] adding package rust-rbw-1

---
 gnu/packages/crates-io.scm | 65 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index d77e8727b3..b66b39e9d3 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -43503,6 +43503,71 @@ (define-public rust-rayon-core-1
     (description "This package provides core APIs for Rayon.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-rbw-1
+  (package
+   (name "rust-rbw")
+   (version "1.4.1")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (crate-uri "rbw" version))
+     (file-name (string-append name "-" version ".tar.gz"))
+     (sha256
+      (base32 "0zszp9hvilpikbd66b5zbvspks0spv8dh0yry0sxnc5yqvl2ixnf"))))
+   (build-system cargo-build-system)
+   (arguments
+    `(#:cargo-inputs
+      (("rust-aes" ,rust-aes-0.7)
+       ("rust-anyhow" ,rust-anyhow-1)
+       ("rust-arrayvec" ,rust-arrayvec-0.7)
+       ("rust-async-trait" ,rust-async-trait-0.1)
+       ("rust-base32" ,rust-base32-0.4)
+       ("rust-base64" ,rust-base64-0.13)
+       ("rust-block-modes" ,rust-block-modes-0.8)
+       ("rust-block-padding" ,rust-block-padding-0.2)
+       ("rust-daemonize" ,rust-daemonize-0.4)
+       ("rust-directories" ,rust-directories-4)
+       ("rust-env-logger" ,rust-env-logger-0.9)
+       ("rust-hkdf" ,rust-hkdf-0.11)
+       ("rust-hmac" ,rust-hmac-0.11)
+       ("rust-humantime" ,rust-humantime-2)
+       ("rust-libc" ,rust-libc-0.2)
+       ("rust-log" ,rust-log-0.4)
+       ("rust-nix" ,rust-nix-0.23)
+       ("rust-paw" ,rust-paw-1)
+       ("rust-pbkdf2" ,rust-pbkdf2-0.9)
+       ("rust-percent-encoding" ,rust-percent-encoding-2)
+       ("rust-rand" ,rust-rand-0.8)
+       ("rust-region" ,rust-region-3)
+       ("rust-reqwest" ,rust-reqwest-0.11)
+       ("rust-rsa" ,rust-rsa-0.5)
+       ("rust-serde" ,rust-serde-1)
+       ("rust-serde-json" ,rust-serde-json-1)
+       ("rust-serde-path-to-error" ,rust-serde-path-to-error-0.1)
+       ("rust-serde-repr" ,rust-serde-repr-0.1)
+       ("rust-sha-1" ,rust-sha-1-0.9)
+       ("rust-sha2" ,rust-sha2-0.9)
+       ("rust-structopt" ,rust-structopt-0.3)
+       ("rust-tempfile" ,rust-tempfile-3)
+       ("rust-term-size" ,rust-term-size-0.3)
+       ("rust-textwrap" ,rust-textwrap-0.11)
+       ("rust-thiserror" ,rust-thiserror-1)
+       ("rust-tokio" ,rust-tokio-1)
+       ("rust-totp-lite" ,rust-totp-lite-1)
+       ("rust-url" ,rust-url-2)
+       ("rust-uuid" ,rust-uuid-0.8)
+       ("rust-zeroize" ,rust-zeroize-1.4))))
+   (home-page "https://git.tozt.net/rbw")
+   (synopsis "Unofficial Bitwarden CLI")
+   (description "This package is an unofficial command line client for
+Bitwarden. Although it does come with its own command line client, this client
+is limited by being stateless, which makes it very difficult to use. This
+client avoids this problem by maintaining a background process which is able
+to hold the keys in memory, similar to the way that ssh-agent or gpg-agent
+work. This allows the client to be used in a much simpler way, with the
+background agent taking care of maintaining the necessary state.")
+   (license license:expat)))
+
 (define-public rust-rctree-0.3
   (package
     (name "rust-rctree")
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53117; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.